<?php 

function hostmaster_resources_service(){
    return array(
      // Site related resources
        array( 
          '#method' => 'site.get_db_resource',
    		'#callback' => 'hostmaster_resources_database',
    		'#args' => array(
                array( '#name' => 'url', '#type' => 'string', '#description' => t('URL') ),
             ),
             '#access arguments' => array('get site'),
        ),
        array( 
          '#method' => 'site.set_db_resource',
    		'#callback' => 'hostmaster_resources_database',
    		'#args' => array(
                array( '#name' => 'url', '#type' => 'string', '#description' => t('URL') ),
             ),
             '#access arguments' => array('get site'),
        ),
        array( 
          '#method' => 'site.get_filespace_resource',
    		'#callback' => 'hostmaster_resources_filespace',
    		'#args' => array(
                array( '#name' => 'url', '#type' => 'string', '#description' => t('URL') ),
             ),
             '#access arguments' => array('get site'),
        ),
        array( 
          '#method' => 'site.set_filespace_resource',
    		'#callback' => 'hostmaster_resources_filespace',
    		'#args' => array(
                array( '#name' => 'url', '#type' => 'string', '#description' => t('URL') ),
             ),
             '#access arguments' => array('get site'),
        ),
        array( 
          '#method' => 'site.get_bandwidth_resource',
    		'#callback' => 'hostmaster_resources_bandwidth',
    		'#args' => array(
                array( '#name' => 'url', '#type' => 'string', '#description' => t('URL') ),
             ),
             '#access arguments' => array('get site'),
        ),
        array( 
          '#method' => 'site.set_bandwidth_resource',
    		'#callback' => 'hostmaster_resources_bandwidth',
    		'#args' => array(
                array( '#name' => 'url', '#type' => 'string', '#description' => t('URL') ),
             ),
             '#access arguments' => array('get site'),
        )
      // TODO: platform queue(coming soon)
      
      // TODO: server queue
    );
}

function hostmaster_resources_database($sessid, $url){
  $obj = array();
  $obj['url'] = $url;
  $obj['used'] = _resource_db_useage($obj);
  $site = node_load(array('title' => $url));
  $obj['max'] = $site->max_database;
  return $obj;
  
}

function hostmaster_resources_filespace($sessid, $url){
  $obj = array();
  $obj['url'] = $url;
  $obj['used'] = _resource_file_useage($obj);
  $site = node_load(array('title' => $url));
  $obj['max'] = $site->max_files;
  return $obj;
}

function hostmaster_resources_bandwidth($sessid, $url){
   $obj = array();
   $obj['url'] = $url;
   $obj['used'] = _resource_bandwidth_useage($obj);
   $site = node_load(array('title' => $url));
   $obj['quota'] = $site->bandwidth_quota;
   $obj['quota_term'] = $site->bandwidth_term_count .' '.$site->bandwidth_term_type;
   return $obj;
}

?>