<?php 

/*
  * Enables Remote Accessible platform listing
  */
 function platformList($rows = 0, $offset = 0){
 	$platforms = array();
 	$platformQry = db_query('SELECT * FROM {node} WHERE type = "platform" ');
	while($plat = db_fetch_object($platformQry)){
	 $platform = node_load(array('nid' => $plat->nid) );
	 if(!_hosting_platform_is_locked($platform) && $platform->remote_site_creation_enabled == 1){
		
		 $plats_out = new stdClass( );
		 $plats_out->title = $platform->title;
		 $plats_out->nid = $platform->nid;
		 $plats_out->profiles = $platform->profiles;
		 $plats_out->web_server = $platform->web_server;
		 
		 $platforms[] = $plats_out;
	 }
	}
	
 	return $platforms;	
 }
 
 /*
  * Returns a specific platform
  */
function platformGet($nid){
	$platform = node_load(array('type'=>'platform', 'nid' => $nid)); // Locks down access to ject platforms!	
	return $platform;
}

?>