<?php 

function drush_hostmaster_options_pre_provision_install($url = NULL) {
    $site_options = drush_get_option('hostmaster_site_options', '');
    if( $site_options !== '' ){
    	drush_log(dt("Recieved Hostmaster Site Options at Install Profile"));
    } else {
    	drush_log(dt("No Hostmaster Site Options Recieved at Install Profile"));
    }
    $options_to_pass = explode(', ', $site_options);	
  	foreach($options_to_pass as $option){
  		$id = trim( substr($option, 0, strpos($option, '=>') ) );
  		$value = trim(substr($option, strpos($option, '=>')+3, (strlen($option) - strpos($option, '=>'))));
  		drush_set_option($id, $value, 'site');
  	}
}

?>