<?php
/*
 * Parses the site_options and passes them along to the install profile, we may build more 
 * tasks here.
 */
function drush_hostmaster_options_pre_hosting_task() {
  $task =& drush_get_context('HOSTING_TASK');
  if ($task->ref->type == 'site' && $task->task_type == 'install') {
    $platform = node_load(array('nid' =>  $task->ref->platform));
  	$task->options['hostmaster_site_options'] = ( $task->ref->hostmaster_site_options !== '' ? $task->ref->hostmaster_site_options : $platform->hostmaster_platform_options);
  	drush_log(dt("Sent Hostmaster Site Options to Install Profile"));  	
  }
  return true;
}