<?php

/* 
 * Place this file in /var/aegir/.drush
 *  M- Minutes
 *  
 */

function hostmaster_resources_provision_apache_vhost_config($uri, $data){
	$CBandLimit = drush_get_option('hostmaster_resources_bandwidth_quota_'.$uri, '1G');
	$CBandPeriod = drush_get_option('hostmaster_resources_bandwidth_term_count_'.$uri, '30');
	$CBandPeriodType = drush_get_option('hostmaster_resources_bandwidth_term_type_'.$uri, '0');
	switch($CBandPeriodType){
		case '0':
			$CBandPeriod.='M';
		break;
		case '1':
			$CBandPeriod = (intval($CBandPeriod) * 60 * 24);
			$CBandPeriod .= 'M';
		break;
		case '2':
			$CBandPeriod = (intval($CBandPeriod) * 60 * 24 * 30);
			$CBandPeriod .= 'M';
		break;
		case '3':
			$CBandPeriod = (intval($CBandPeriod) * 60 * 24 * 30 * 12);
			$CBandPeriod .= 'M';
		break;
	}
	$output = "
	CBandScoreboard /var/aegir/config/server_master/apache/scoreboards/$uri.scoreboard
	CBandLimit $CBandLimit
	CBandPeriod 4W
	<Location /cband-status.html>
		SetHandler cband-status
	</Location>";
	return $output;
}

?>
