<?php 

/*
 * Impelmentation of hook_nodeapi
 * Provides various triggers for rules
 */
function hostmaster_rules_nodeapi(&$node, $op, $a3 = NULL, $a4 = NULL ){
  
  switch($node->type){
    
    case 'task':
           switch($op){
				case 'insert':
					rules_invoke_event('task_insert', $node);
				break;
				case 'update':
					rules_invoke_event('task_update', $node);
				break;
				case 'delete':
					rules_invoke_event('task_delete', $node);
				break;
			}
    break;
     
    case 'site':
          switch($op){
				case 'insert':
						rules_invoke_event('site_insert', $node);
				break;
				case 'update':
						rules_invoke_event('site_update', $node);
				break;
				case 'delete':
					rules_invoke_event('site_delete', $node);
				break;
			}
    break;
    
    case 'platform':
          switch($op){
				case 'insert':
					rules_invoke_event('platform_insert', $node);
				break;
				case 'update':
					rules_invoke_event('platform_update', $node);
				break;
				case 'delete':
					rules_invoke_event('platform_delete', $node);
				break;
			}
    break;
    
    case 'client':
          switch($op){
				case 'insert':
						rules_invoke_event('client_insert', $node);
				break;
				case 'update':
						rules_invoke_event('client_update', $node);
				break;
				case 'delete':
					rules_invoke_event('client_delete', $node);
				break;
			}
    break;
    
    case 'server':
          switch($op){
				case 'insert':
						rules_invoke_event('server_insert', $node);
				break;
				case 'update':
						rules_invoke_event('server_update', $node);
				break;
				case 'delete':
					rules_invoke_event('server_delete', $node);
				break;
			}
    break;
    
  }
  
}



?>