<?php 

/*
 * Form to allow admin to set what task status they want a rule to eval true for
 */
function hostmaster_rules_condition_task_status($settings, &$form){
	$form['settings']['task_status'] = array(
		'#type' => 'select',
		'#title' => t('Task Status'),
		'#options' => array( -1 => 'HOSTING_TASK_PROCESSING', 0 => 'HOSTING_TASK_QUEUED', 1 => 'HOSTING_TASK_SUCCESS', 2 => 'HOSTING_TASK_ERROR' ),
		'#multiple' => TRUE,
		'#required' => TRUE,
		'#default_value' => isset($settings['task_status']) ? $settings['task_status'] : array() 
	);
	return $form;
}

/*
 * Form for selecting a task type
 */
function hostmaster_rules_condition_task_type($settings, &$form){
	$form['settings']['tast_type'] = array(
		'#type' => 'select',
		'#title' => t('Task Type'),
		'#options' => array( ),
		'#multiple' => TRUE,
		'#required' => TRUE,
		'#default_value' => isset($settings['task_type']) ? $settings['task_type'] : array() 
	);
	return $form;
}


?>